#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 10. Graphics and Font Libraries

- Prev

  Exiv2-0.28.8

- Next

  Fontconfig-2.17.1

- Up
- Home

# FreeType-2.14.3

## Introduction to FreeType2

The FreeType2 package contains a library which allows applications to properly render TrueType fonts.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/freetype/freetype-2.14.3.tar.xz

- Download MD5 sum: 5e78e6fdce5a61d3075e4c25e9852f84

- Download size: 2.6 MB

- Estimated disk space required: 51 MB (with additional documentation)

- Estimated build time: 0.2 SBU (with additional documentation)

### Additional Downloads

Additional Documentation

- Download (HTTP): https://downloads.sourceforge.net/freetype/freetype-doc-2.14.3.tar.xz

- Download MD5 sum: a9a92aa403d7c1b4eed6ee452dc23305

- Download size: 2.1 MB

### FreeType2 Dependencies

#### Recommended

harfBuzz-14.2.0 (runtime), libpng-1.6.58, and Which-2.23

#### Optional

Brotli-1.2.0 and librsvg-2.62.1

#### Optional (for documentation)

docwriter

## Installation of FreeType2

If you downloaded the additional documentation, unpack it into the source tree using the following command:

    tar -xf ../freetype-doc-2.14.3.tar.xz --strip-components=2 -C docs

Install FreeType2 by running the following commands:

    sed -ri "s:.*(AUX_MODULES.*valid):\1:" modules.cfg &&

    sed -r "s:.*(#.*SUBPIXEL_RENDERING) .*:\1:" \
        -i include/freetype/config/ftoption.h   &&

    ./configure --prefix=/usr            \
                --disable-static         \
                --enable-freetype-config \
                --with-harfbuzz=dynamic  &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

If you downloaded the optional documentation, install it as the `root` user:

    cp -v -R docs -T /usr/share/doc/freetype-2.14.3 &&
    rm -v /usr/share/doc/freetype-2.14.3/freetype-config.1

## Command Explanations

sed -ri ...: First command enables GX/AAT and OpenType table validation and second command enables Subpixel Rendering. Note that Subpixel Rendering may have patent issues. Be sure to read the `'Other patent issues'` part of https://freetype.org/patents.html before enabling this option.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-freetype-config`: This switch ensures that the man page for freetype-config is installed.

`--with-harfbuzz=dynamic`: This switch ensures that HarfBuzz is loaded dynamically, skipping the requirement to rebuild this package after HarfBuzz is installed.

`--without-harfbuzz`: If harfbuzz is installed prior to freetype without freetype support, use this switch to avoid a build failure.

## Contents

Installed Program: freetype-config
Installed Library: libfreetype.so
Installed Directories: /usr/include/freetype2 and /usr/share/doc/freetype-2.14.3

### Short Descriptions

freetype-config | is used to get FreeType compilation and linking information
`libfreetype.so` | contains functions for rendering various font types, such as TrueType and Type1

- Prev

  Exiv2-0.28.8

- Next

  Fontconfig-2.17.1

- Up
- Home